> ## Documentation Index
> Fetch the complete documentation index at: https://developer.orchestro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel-label

> This endpoint allows users to cancel shipping labels by sending account details, caller type, and the label ID. It returns the cancellation status or relevant errors if the label was already canceled.



## OpenAPI

````yaml shipper.json delete /api/v1/core/cancel-labels
openapi: 3.0.3
info:
  title: Satge-e1-David-Sep13
  description: This is an Open API Spec file
  contact: {}
  version: 1.0.0
servers:
  - url: https://api-stage.orchestro.ai/e1/
    description: Sandbox Environment
  - url: https://api-stage.orchestro.ai
    description: Production Environment
security:
  - ApiKeyAuth: []
tags:
  - name: Shipper
paths:
  /api/v1/core/cancel-labels:
    delete:
      tags:
        - Shipper
      summary: Cancel-label
      description: >-
        This endpoint allows users to cancel shipping labels by sending account
        details, caller type, and the label ID. It returns the cancellation
        status or relevant errors if the label was already canceled.
      operationId: cancelLabel
      requestBody:
        description: >-
          The request body for this endpoint accepts a JSON object that includes
          account information, caller type, and the IDs of the labels that are
          to be canceled.
        content:
          application/json:
            schema:
              type: object
              properties:
                accounts:
                  type: array
                  description: >-
                    A list of accounts involved in the label cancellation
                    request.
                  example:
                    - accountNumber: AC0088
                      accountType: SHIPPER
                  items:
                    type: object
                    properties:
                      accountNumber:
                        type: string
                        description: >-
                          The unique identifier of the account requesting the
                          label cancellation.
                        example: AC0088
                      accountType:
                        type: string
                        description: The type of account, typically a shipper or carrier.
                        example: SHIPPER
                callerType:
                  type: string
                  description: >-
                    The type of entity making the cancellation request (e.g.,
                    SHIPPER or CARRIER).
                  example: SHIPPER
                labels:
                  type: array
                  description: A list of label IDs to be canceled.
                  example:
                    - PEBMLQJ7
                  items:
                    type: string
                    description: The unique identifier of the label to be canceled.
                    example: PEBMLQJ7
            examples:
              cancel-label:
                value:
                  accounts:
                    - accountNumber: AC0088
                      accountType: SHIPPER
                  callerType: SHIPPER
                  labels:
                    - PEBMLQJ7
        required: true
      responses:
        '200':
          description: Cancel label successful
          headers:
            Connection:
              style: simple
              explode: false
              schema:
                type: string
                example: keep-alive
            Content-Length:
              style: simple
              explode: false
              schema:
                type: string
                example: '114'
            Date:
              style: simple
              explode: false
              schema:
                type: string
                example: Tue, 17 Sep 2024 22:36:44 GMT
            Vary:
              style: simple
              explode: false
              schema:
                type: string
                example: Access-Control-Request-Headers
            Via:
              style: simple
              explode: false
              schema:
                type: string
                example: >-
                  1.1 ac8125882b03042c3557fc96ae234ffa.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              style: simple
              explode: false
              schema:
                type: string
                example: UatJgZucesG_Hk5AvuwhbM3J6Ej80WLOyYYlKs_ego1k6wWQnvUvvQ==
            X-Amz-Cf-Pop:
              style: simple
              explode: false
              schema:
                type: string
                example: CDG52-P3
            X-Cache:
              style: simple
              explode: false
              schema:
                type: string
                example: Miss from cloudfront
            x-amz-apigw-id:
              style: simple
              explode: false
              schema:
                type: string
                example: eRWjdGXRIAMEtWg=
            x-amzn-Remapped-Connection:
              style: simple
              explode: false
              schema:
                type: string
                example: keep-alive
            x-amzn-Remapped-Content-Length:
              style: simple
              explode: false
              schema:
                type: string
                example: '114'
            x-amzn-Remapped-Date:
              style: simple
              explode: false
              schema:
                type: string
                example: Tue, 17 Sep 2024 22:36:44 GMT
            x-amzn-RequestId:
              style: simple
              explode: false
              schema:
                type: string
                example: 507a2720-f445-46f4-abe2-1efdc6f71eda
          content:
            application/json:
              schema:
                type: array
                example:
                  - errors:
                      - code: ERR-3201
                        message: Label is already cancelled.
                    labelId: PEBMLQJ7
                    status: FAILURE
                items:
                  type: object
                  properties:
                    errors:
                      type: array
                      example:
                        - code: ERR-3201
                          message: Label is already cancelled.
                      items:
                        type: object
                        properties:
                          code:
                            type: string
                            example: ERR-3201
                          message:
                            type: string
                            example: Label is already cancelled.
                    labelId:
                      type: string
                      example: PEBMLQJ7
                    status:
                      type: string
                      example: FAILURE
              examples:
                cancel-label:
                  value:
                    - errors:
                        - code: ERR-3201
                          message: Label is already cancelled.
                      labelId: PEBMLQJ7
                      status: FAILURE
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: Authorization
      in: header

````